
Name:		grub-customizer
Summary:	Graphical interface to configure the grub2 settings
Group:		System/Configuration/Boot and Init
Version:	5.2.2
Release:	%mkrel 1
License:	GPLv3+
URL:	https://launchpad.net/grub-customizer
Source0:	https://launchpad.net/%{name}/%{main_branch}/%{version}/+download/%{name}_%{version}.tar.xz
Source1:	grub.cfg
Source2: grub-customizer.desktop
Patch0: grub-customizer-4.0.6-mge-use_default_env.patch
BuildRequires:	cmake
BuildRequires:  lib64archive-devel
BuildRequires:  lib64atk1.0-devel
BuildRequires:  lib64atkmm1.6-devel
BuildRequires:  lib64cairo-devel
BuildRequires:  lib64cairomm1.0-devel
BuildRequires:  lib64fontconfig-devel
BuildRequires:  lib64freetype6-devel
BuildRequires:  lib64gdk_pixbuf2.0_0-devel
BuildRequires:  lib64glib2.0-devel
BuildRequires:  lib64glibmm2.4-devel
BuildRequires:  lib64gtk+3.0-devel
BuildRequires:  lib64gtkmm3.0-devel
BuildRequires:  lib64openssl-devel
BuildRequires:  lib64pango1.0-devel
BuildRequires:  lib64pangomm2.4-devel
BuildRequires:  lib64sigc++2.0-devel
BuildRequires:  desktop-file-utils
Requires:		grub2bootloader
Requires:		os-prober
Requires: hwinfo
Requires: polkit

%description
Grub Customizer is a graphical interface to configure the grub2 settings
with focus on the individual list order - without losing the dynamic behavior
of grub2. 

THIS IS FOR GRUB2 ONLY!

%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%cmake
%make_build

%install
rm -rf %buildroot
%make_install -C build

install -d %{buildroot}%{_sysconfdir}/%{name}
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/grub.cfg

install -Dm 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
 	
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/grubcfg-proxy
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/net.launchpad.danielrichter2007.pkexec.%{name}.policy
%{_iconsdir}/hicolor/*/*//%{name}.*
%{_mandir}
%{_sysconfdir}/%{name}/grub.cfg


%changelog
* Sun Oct 02 2022 tex - 5.2.2-1pclos2022
- new version

* Sun Feb 28 2021 tex - 5.1.0-2pclos2021
- remove gksu this program

* Tue Jan 22 2019 tex - 5.1.0-1pclos2019
- new version

* Tue Jan 15 2019 tex - 5.0.8-2pclos2019
- rebuild against updates

* Mon Oct 15 2018 tex - 5.0.8-1pclos2018
- new version

* Thu Mar 29 2018 bb2 <bb2> - 5.0.6-1pclos2017
- new version

* Wed Sep 13 2017 bb2 <bb2> - 4.0.6-2pclos2017
- rebuild

* Wed Apr 08 2015 bb <bb> - 4.0.6-1pclos2015
- import into pclos
